%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name QuickCheck
%define f_pkg_name quickcheck
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 2.4.0.1
Release: alt1
License: BSD
Group: Development/Haskell
URL: http://www.math.chalmers.se/~rjmh/QuickCheck/
Source: %h_pkg_name-%version.tar.gz
Summary: Automatic testing of Haskell programs
BuildRequires: ghc ghc-mtl haddock %hs_package_dependencies
BuildRequires(pre): rpm-build-haskell


%description
A library for testing Haskell programs automatically.
The programmer provides a specification of the program, in
the form of properties which functions should satisfy, and
QuickCheck then tests that the properties hold in a large number
of randomly generated cases.  Specifications are expressed in
Haskell, using combinators defined in the QuickCheck library.
QuickCheck provides combinators to define properties, observe
the distribution of test data, and define test
data generators.


%prep
%setup -n %h_pkg_name-%version


%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Wed Dec 08 2010 Denis Smirnov <mithraen@altlinux.ru> 2.4.0.1-alt1
- 2.4.0.1

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.0-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.0-alt5
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.0-alt2
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.0-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 1.2.0.0-alt1.1
- rebuild with new haskell

* Mon Nov 17 2008 Alexander Myltsev <avm@altlinux.ru> 1.2.0.0-alt1
- new version

* Mon Jan 14 2008 Alex V. Myltsev <avm@altlinux.ru> 1.1.0.0-alt2
- Use package.conf.d.

* Wed Jan 09 2008 Alex V. Myltsev <avm@altlinux.ru> 1.1.0.0-alt1
- spec file autogenerated by cabal-rpm
